# EXPRMAX

Projects one or more columns from the row where a measuring column has its maximum value. Similar to ARG\_MAX but supports projecting multiple expression columns at once.

## Signature

> EXPRMAX(measureCol, exprCol1, exprCol2, ...)

Parameters:

| Parameter                 | Description                                                          |
| ------------------------- | -------------------------------------------------------------------- |
| `measureCol`              | The column whose maximum value determines which row to project from  |
| `exprCol1, exprCol2, ...` | One or more columns to project from the row with the maximum measure |

## Usage Examples

These examples are based on the [Batch Quick Start](/start-here/quick-start.md#batch-processing).

```sql
select EXPRMAX(hits, playerName, yearID) AS value
from baseballStats
```

| value                  |
| ---------------------- |
| \[Ichiro Suzuki, 2004] |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pinot.apache.org/functions/aggregation/exprmax.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
